{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" href="{{ asset('vendor/bootstrap/css/bootstrap-datepicker.min.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>

{% endblock %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Berlangganan Les
{#            {{ method.getName() }}#}
        {% endblock %}

        {% block menuBar %}
            <div class="d-flex mt-3 justify-content-between w-100">
                <div class="d-flex align-items-center" style="border-bottom: 2px solid var(--primaryColor)">
                    <input class="checkbox-jam" type="radio" name="tools" id="semua" value="semua" checked>
                    <label class="for-checkbox-jam" style="padding: .4em .8em" for="semua">
                        1
                    </label>
                    <p class="font-weight-bold ml-2">Data Pesanan</p>
                </div>
            </div>

        {% endblock %}

    {% endembed %}

    {#    Detail Pesanan#}
    <section class="container-fluid mt-3">
        {% if method.getId() == 2 %}
            <div class="b-primaryLight p-2" style="border-left: 4px solid var(--primaryColor)">
                <p class="text-black-50 f08 mb-1">Kamu Memilih Metode Belajar Online. Untuk Bisa Mengikuti Pelajaran Silahkan Download Aplikasi Teman Belajar Di Playstore</p>
            </div>
        {% endif %}
        <p class="f12 font-weight-bold mt-3">Detail Pesanan</p>
        <div class="header-profile">
            <div class="gambar-div">
                <img src="{{ detail.getUser().getTentorProfile().getAvatar() != null ? detail.getUser().getTentorProfile().getGeneratedAvatar() : asset('images/no-image.png') }}">
            </div>

            <div class="content">
                <p class="title mb-0">{{ detail.getUser().getTentorProfile().getFullName() }}</p>
                <p class="mb-0">{{ detail.getCategory().getName() }}
                    - {{ detail.getLevel().getName() }} {{ method.getName() }}</p>
                <p id="field-price" class="t-primary font-weight-bold" data-price="{{ price }}">
                    Rp {{ price|number_format(0,',','.') }}
                    /{{ method.getId() == 1 ? 'Jam' : '30Menit' }}</p>
            </div>
        </div>

        <div class="div-color"
             style="border-color: var(--orange-temanbelajar); background-color: var(--orange-temanbelajar-light)">
            <p class="mb-0 text-left"> Pilih paket berlangganan. Kamu akan melakukan pembayaran setiap jumlah pertemuan
                habis.</p>
        </div>

        <p class="mb-2 text-black-50 font-weight-normal f12 mt-3">Durasi Setiap Pertemuan</p>
        <div class="d-flex justify-content-between">
            {% if method.getId() == 2 %}
                <input form="form-order" class="checkbox-jam duration-choice" type="radio" name="duration"
                       id="radio-30menit" value="30" data-duration="30" checked>
                <label class="for-checkbox-jam w-100 f08" for="radio-30menit">
                    30 Menit
                </label>
            {% endif %}
            <input form="form-order" class="checkbox-jam duration-choice" type="radio" name="duration"
                   id="radio-60menit" data-duration="60"
                    {#                   value="{{ method == 0 ? '1' : '2' }}"#}
                   value="60"
                    {{ method.getId() == 1 ? 'checked' : '' }}>
            <label class="for-checkbox-jam w-100 f08" for="radio-60menit">
                60 Menit
            </label>
            {% if method.getId() == 1 %}
                <input form="form-order" class="checkbox-jam duration-choice" type="radio" name="duration"
                       id="radio-90menit" data-duration="90" value="90">
                <label class="for-checkbox-jam w-100 f08" for="radio-90menit">
                    90 Menit
                </label>
                <input form="form-order" class="checkbox-jam duration-choice" type="radio" name="duration"
                       id="radio-120menit" data-duration="120" value="120">
                <label class="for-checkbox-jam w-100 f08" for="radio-120menit">
                    120 Menit
                </label>

            {% endif %}
        </div>

        <p class="mb-2 text-black-50 font-weight-normal f12 mt-3">Jumlah Siswa</p>
        <div class="d-flex justify-content-between">
            {% for i in 1..5 %}
                <input form="form-order" class="checkbox-jam jumlah-choice" type="radio" name="attendees"
                       id="radio-jumlah-{{ i }}" value="{{ i }}" {{ loop.first ? 'checked' : '' }}>
                <label class="for-checkbox-jam w-100" for="radio-jumlah-{{ i }}">
                    {{ i }}
                </label>
            {% endfor %}
        </div>
        <p class="mb-2 text-black-50 font-weight-normal f12 mt-3">Paket Berlangganan</p>
    </section>

    {#    PAKET#}
    <section>
        <div class="paket common" id="panel-package">
            {#            {% set  %}#}
            {% for i in 1..4 %}
                <div style="border: none !important;">
                    <input form="form-order" class="checkbox-jam paket-choice" type="radio" name="encounter"
                           id="radio-paket-{{ i }}" value="{{ i*4 }}"
                            {{ i == 2 ? 'checked' : '' }}
                    >
                    <label class="for-checkbox-jam w-100 m-0" style="border-radius: 15px; padding: 1em; height: 13em"
                           for="radio-paket-{{ i }}">
                        <div class="d-flex justify-content-between flex-column h-100">
                            <p class="mb-0">{{ i*4 }} Pertemuan</p>
                            <div>
                                <p class="mb-0 f12 font-weight-bold package-price" id="price-tag-{{ i }}"></p>
                                <p class="mb-0 f10 ">Per Bulan</p>
                            </div>
                        </div>
                    </label>
                </div>
            {% endfor %}
        </div>
    </section>

    <section class="container-fluid">
        <p class="mb-2 text-black-50 font-weight-normal f10 mt-3">Pertemuan Pertama</p>
        <a id="pencarianTanggal" data-meet="{{ meet }}" data-toggle="modal"
           data-target="#modalPencarianTanggal"
           class="mb-2 text-dark font-weight-normal f10 font-weight-bold pb-2" style="border-bottom: 1px solid #ddd">
            {{ meetString }}</a>
        {#        <div class="form-check mt-3">#}
        {#            <input form="form-profile" type="checkbox" class="form-check-input" id="check-kmy-district"#}
        {#                   style="position: relative;  width: 1rem;  height: 1rem; left: 0; visibility: visible;" checked>#}
        {#            <label class="form-check-label" for="gunakanHpOrtu">Gunakan Wilayah Saya</label>#}
        {#        </div>#}
        {% if(method.getId() == 1) %}
            <p class="mb-2 text-black-50 font-weight-normal f10 mt-3">Kecamatan</p>
            <a id="pencarianLokasi" data-location="{{ district.getId() }}"
               class="mb-2 text-dark font-weight-normal f10 font-weight-bold pb-2"
               style="border-bottom: 1px solid #ddd">
                {{ district.getDistrictName() }}, {{ district.getCity().getCityName() }}</a>

            {#        <div class="div-color"#}
            {#             style="border-color: var(--orange-temanbelajar); background-color: var(--orange-temanbelajar-light)">#}
            {#            <p class="mb-0 text-left">{{ address }}, {{ district.getDistrictName() }}, {{ district.getCity().getCityName() }}</p>#}
            {#        </div>#}
            <div class="form-group mt-3">
                <label for="note">Alamat Lengkap</label>
                <textarea required form="form-order" class="form-control" id="address" rows="3"
                          name="address">{{ address }}</textarea>
                <small id="alamatDetailHelp" class="form-text text-muted invalid-feedback">Masukkan alamat detail belajar mu</small>
            </div>
        {% endif %}
        <div class="form-group mt-3">
            <label for="note">Catatan Tambahan</label>
            <textarea form="form-order" class="form-control" id="note" rows="3" name="note"></textarea>
            <small id="noteHelp" class="form-text text-muted">Kamu tidak bisa memasukan nomor handphone..</small>
        </div>
    </section>

    <hr>

    <section class="container-fluid">
        <p class="title-section text-left w-100 pl-0">
            Estimasi Biaya Berlangganan
        </p>
        <p class="mb-4 font-weight-bold f12 mt-3">Les Privat Matematika SMA</p>

        <div class="d-flex justify-content-between">
            <p class="text-black-50">Tarif Tiap Pertemuan</p>
            <p id="label-price" class="text-black-50" data-price="{{ price }}">
                Rp {{ price|number_format(0,',','.') }}</p>
        </div>

        <div class="d-flex justify-content-between">
            <p class="text-black-50">Jumlah Pertemuan</p>
            <p id="label-count" data-count="1" class="text-black-50">1x</p>
        </div>

        <div class="d-flex justify-content-between">
            <p class="text-black-50">Jumlah Siswa</p>
            <p id="label-attend" data-attend="1" class="text-black-50">1 Siswa</p>
        </div>

        <hr style="border-bottom: 2px solid black">

        <div class="d-flex justify-content-between">
            <p class="text-dark font-weight-bold">Total</p>
            <p id="label-summary" class="t-primary font-weight-bold" data-summary="0">Rp 0<a
                        class="text-black-50 font-weight-normal">/bulan</a></p>
        </div>
    </section>

    <section class="p-2 bg-white mt-5">
        <form id="form-order" method="post" action="/cart">
            <div class="d-flex justify-content-between align-items-center">
                <a id="btn-order" class="bt-accent p-3 m-1 f10 d-block w-100" data-toggle="modal">
                    Pesan Sekarang
                </a>
            </div>
        </form>
    </section>

    <div class="space-25h"></div>
    <div id="myModal" class="modal ver" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-body">
                    {% if(method.getId() == 1) %}
                        <p class="text-center">Ooops, Kamu Berada Di Wilayah <span
                                    class="font-weight-bold">{{ district.getDistrictName() }}, {{ district.getCity().getCityName() }}</span>
                            Guru Les Privat Yang Sedang Kamu Pesan Hanya Melayani Wilayah:</p>
                        <div class="alert alert-danger" role="alert">
                            {% for tentorDistrict in detail.getUser().getDistrict() %}
                                <p class="mb-0">{{ tentorDistrict.getDistrictName() }}</p>
                            {% endfor %}
                        </div>
                        <div class="mb-4">Jika Jarak Lokasi Kamu dengan guru terlalu jauh, mungkin guru akan menolak pesanan mu. Atau Kamu Bisa Mencoba Layanan <a id="btn-switch-online" href="#">Online</a> Dari Tentor Ini.
                        </div>
                    {% endif %}
                    <a href="/" class="bt-primary d-block mb-2">Pesan Guru Lainnya</a>
                    <a data-dismiss="modal" class="bt-outline-primary d-block">Tetap Pesan Guru Ini</a>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="modalPencarianTanggal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-fullpage" role="document">
            <div class="modal-content ">
                <div class="modal-body p-3">
                    <div class="text-left  mb-3 d-flex border-bottom " style=" padding-bottom: .1em">
                        <p class="flex-grow-1">Tentukan Jadwal?</p>
                        <a class="text-danger" data-dismiss="modal" aria-label="Close"><i
                                    class="fa fa-close"></i></a>
                    </div>
                    <p class="mt-1 text-center" id="tanggal-dipilih"
                       style="width:100%; padding: .5em; background-color: var(--primaryColorLight); border: 1px solid var(--primaryColor); border-radius: 10px; color: var(--primaryColor)">
                    </p>
                    {# PILIH TANGGAL #}
                    <section class="r-bottom container-fluid" style="padding-bottom: 10px">
                        <h2 class="text-left pt-3 f12 pl-2 pr-2 font-weight-bold">Pilih Tanggal</h2>
                        <div class="pt-3" id="datepicker"></div>
                    </section>
                    {# PILIH JAM #}
                    <section class="r-bottom container-fluid mt-3" style="padding-bottom: 10em">
                        <h2 class="text-left pt-3 f12 pl-2 pr-2 font-weight-bold mb-2">Jam Tentor Yang Tersedia</h2>
                        <form>
                            <div class="row pt-3" id="time-container">
{#                                {% for i in 9..20 %}#}
{#                                    <div class="col-4">#}
{#                                        <input class="checkbox-jam time-choice" type="radio" name="time" id="jam{{ i }}"#}
{#                                               value="{{ i }}"#}
{#                                                #}{#                                                {{ loop.first ? 'checked' : '' }}#}
{#                                        >#}
{#                                        <label class="for-checkbox-jam" for="jam{{ i }}" id="label-jam{{ i }}">#}
{#                                            {{ i < 10 ? '0'~i : i }}:00#}
{#                                        </label>#}
{#                                    </div>#}
{#                                {% endfor %}#}
                            </div>
                        </form>
                    </section>

                    <section class="fixed-bottom d-block bg-white p-2" style="width: 100%;">
                        <a id="terapkan" class="bt-primary  d-block ml-auto mr-auto" data-dismiss="modal"
                           aria-label="Close"
                           style="width: 80%">Terapkan</a>

                    </section>
                </div>

            </div>
        </div>
    </div>
{% endblock %}

{% block JSMore %}
    <script src="{{ asset('vendor/bootstrap/js/bootstrap-datepicker.min.js') }}"></script>
    <script src="{{ asset('vendor/bootstrap/js/locales/bootstrap-datepicker.id.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        var ts_id = {{ detail.getId() }};
        var method = {{ method.getId() }};
        var ts_auth = {{ app.user ? 'true' : 'false' }};
        var inArea = {{ inArea ? 'true' : ' false' }};
    </script>
    <script type="text/javascript" src="{{ asset('js/controller/Pesan.js') }}"></script>
{% endblock %}